Summary: 	Visual IRC client
Name:		kvirc
Version: 	2.1.0
Release: 	4mdk
License: 	GPL
Group: 		Networking/IRC

Source: 	kvirc-%{version}.tar.bz2
Source1: 	%{name}16.xpm
Source2: 	%{name}32.xpm
Source3: 	%{name}48.xpm 
Source4: 	mykdedesktop2mdkmenu.pl

BuildRoot: 	%_tmppath/%name-%version-%release-root
BuildRequires:  gcc-cpp db3 readline pam popt libtermcap2 zlib1 kdelibs
BuildRequires:	freetype2 libjpeg62 libmng1 libpng2 libqt2 XFree86-devel
BuildRequires:	XFree86-libs Mesa-common XFree86-static-libs automake autoconf
BuildRequires:	gcc-c++ diffutils file m4 texinfo gettext libbinutils2 libbzip2_1
BuildRequires:  db1 libqt2-devel rpm-build

%description
A highly configurable Graphical IRC client with a MDI interface,
built-in scripting language, support for DCC, drag & drop, more...

%prep

%setup -q -n kvirc-2.1.0

%build
./configure --prefix=%_prefix \
            --mandir=%_mandir \
            --disable-rpath \
	    --with-kde-support \
	    --disable-debug \
	    --enable-final
	      
%make CFLAGS="%optflags" CXXFLAGS="%optflags"

%install
make DESTDIR=%buildroot install

mv %buildroot/%_prefix/man/ %buildroot/%_datadir

mkdir -p $RPM_BUILD_ROOT/usr/lib/menu

%{SOURCE4} kvirc Networking/IRC $RPM_BUILD_ROOT/usr/share/applnk/Internet/kvirc.desktop $RPM_BUILD_ROOT/usr/lib/menu/kvirc

#mdk icons
install -D -m644 %SOURCE2 $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
install -D -m644 %SOURCE1 $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
install -D -m644 %SOURCE3 $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm


%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%{update_menus}

%postun
/sbin/ldconfig
%{clean_menus}

%files
%defattr (-,root,root)
%_prefix/bin/*
%_prefix/lib/*.so*
%_prefix/lib/*.la
%_menudir/*
#
%dir %_datadir/kvirc/
%dir %_datadir/kvirc/plugins/
%_datadir/kvirc/plugins/*.so*
%_datadir/kvirc/plugins/*.la
#
%dir %_datadir/kvirc/pics
%_datadir/kvirc/pics/*.png
%_datadir/kvirc/pics/*.xpm
#
%dir %_datadir/kvirc/msgcolors
%_datadir/kvirc/msgcolors/*.kviclr 
#
%dir %_datadir/kvirc/help
%dir %_datadir/kvirc/help/en
%_datadir/kvirc/help/en/*.kvihelp
#
%dir %_datadir/kvirc/config/
%_datadir/kvirc/config/*.conf
#
%dir %_datadir/kvirc/config/plugins/
%_datadir/kvirc/config/plugins/*.conf
#
%dir %_datadir/kvirc/charmaps
%_datadir/kvirc/charmaps/*
#
#
%dir %_datadir/kvirc/locale/
%_datadir/kvirc/locale/*
#
#
%_mandir/man1/*.bz2
#
#
%_iconsdir/*.xpm
#
%dir %_iconsdir/large/
%_iconsdir/large/*.xpm
#
%dir %_iconsdir/mini/
%_iconsdir/mini/*.xpm
#
%dir %_iconsdir/hicolor/
%dir %_iconsdir/hicolor/16x16/
%dir %_iconsdir/hicolor/16x16/apps/
%_iconsdir/hicolor/16x16/apps/*.png
#
%dir %_iconsdir/hicolor/32x32/
%dir %_iconsdir/hicolor/32x32/apps/
%_iconsdir/hicolor/32x32/apps/*.png
#
%dir %_iconsdir/hicolor/48x48/
%dir %_iconsdir/hicolor/48x48/apps/
%_iconsdir/hicolor/48x48/apps/*.png
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/Internet/
%_datadir/applnk/Internet/kvirc.desktop


%changelog
* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.0-4mdk
- Move KDE menu entry in %%_datadir/applnk
- Clean %%files to allow clean update
- Fix BuildRequires for non %%ix86 architectures
- Don't %%clean_menus and %%update_menus in %%postun
- Add missing files
- Rebuild against latest GCC

* Mon Apr 02 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.0-3mdk
- Add build requires

* Wed Mar 14 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.0-2mdk
- Rebuild against Qt 2.3.0

* Mon Feb 26 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.0-1mdk
- Update code

* Mon Dec 04 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-2.0.3mdk
- Update for new libs.

* Sat Nov 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0.0-2.0.2mdk
- Fix gcc2.96 compilation.

* Tue Oct 17 2000 Daouda Lo <daouda@mandrakesoft.com> 2.0.0-2.0.1mdk
- release 2.0
- change version

* Sun Oct 15 2000  <daouda@ke.mandrakesoft.com> 2.0.0-1.99.4mdk
- include the missing files
- fix 'bad' icon handling 

* Mon Oct 09 2000 Daouda Lo <daouda@mandrakesoft.com> 2.0.0-1.99.3mdk
- script now in source package 
- correct icon handling (me sux)

* Fri Oct 06 2000 Daouda Lo <daouda@mandrakeosft.com> 2.0.0-1.99.2mdk
- add icons 
- replace klyx by kvirc in menu entry 
- fix kvirc segfault(chris sux) 

* Mon Oct 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-1.99.1mdk
- Updated for new libs

* Fri Sep 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-1.94.8mdk
- Updated for new libs

* Wed Sep 27 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-1.94.7mdk
- Updated for new libs

* Sun Sep 24 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-1.94.6mdk
- BM

* Sat Sep 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-1.94.5mdk
- Updated for new libs

* Wed Sep 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-1.94.4mdk
- Updated for new libs

* Mon Sep 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-1.94.3mdk
- Updated for new libs

* Fri Sep 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-1.94.2mdk
- Updated for new libs

* Mon Sep 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-1.94.1mdk
- Updated for new libs

* Fri Sep 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-1.93.6mdk
- Updated for new libs

* Sat Sep 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-1.93.5mdk
- Updated for new libs

* Wed Aug 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-1.93.4mdk
- Updated for new libs

* Mon Aug 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-1.93.3mdk
- Updated for new libs

* Fri Aug 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-1.93.2mdk
- Updated for new libs
- Added menu creation

* Mon Aug 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-1.93.1mdk
- Updated for new libs

* Tue Aug 01 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-1.92.4mdk
- Updated for new libs

* Sun Jul 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-1.92.2mdk
- Updated for new libs - again

* Sun Jul 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-1.92.1mdk
- Updated for new libs

* Fri Jul 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-0.%{KDEDATE}mdk
- Updated for new libs

* Sun Jul 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-0.%{KDEDATE}mdk
- Updated for new libs

* Sat Jul 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.9.1-0.%{KDEDATE}mdk
- rebuilt under package2 name for kde2 libs
- adjusted spec file for kde2 in different dirs.

* Mon Jun 26 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 2.0.0-2mdk
- requires qt >= 2.1.1
- buildrequires qtdevel
* Thu Jun 22 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 2.0.0-1mdk
- first spec built with qt2, blah blah blah

